import { jsx as o } from "@emotion/react/jsx-runtime";
import c from "clsx";
import { DividerRootStyled as d, DividerStyled as l } from "./slots/DividerSlots.js";
import { useComponentSize as S } from "@m4l/graphics";
const z = (r) => {
  const {
    className: i,
    size: n = "medium",
    orientation: e = "vertical",
    customVariant: s = "dash",
    ...m
  } = r, { currentSize: a } = S(n), t = {
    orientation: e,
    customVariant: s,
    size: a
  };
  return /* @__PURE__ */ o(
    d,
    {
      ownerState: { ...t },
      className: c(i),
      children: /* @__PURE__ */ o(
        l,
        {
          ownerState: { ...t },
          orientation: e,
          ...m
        }
      )
    }
  );
};
export {
  z as Divider
};
